com.smartgwt.client.tools

## Class EditNode

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.data.Record
        - - com.smartgwt.client.widgets.grid.ListGridRecord
          - - com.smartgwt.client.widgets.tree.TreeNode
            - - com.smartgwt.client.tools.PaletteNode
              - - com.smartgwt.client.tools.EditNode

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class EditNode
      extends PaletteNode

  An object representing a component that is currently being edited within an `EditContext`.

  An EditNode is essentially a copy of a `PaletteNode`, initially with the same properties as the PaletteNode from which it was generated. However unlike a PaletteNode, an EditNode always has a `liveObject` - the object created from the `PaletteNode.defaults` or other properties defined on a paletteNode.

  Like a Palette, an EditContext may use properties such as `PaletteNode.icon` or `PaletteNode.title` to display EditNodes.

  An EditContext generally offers some means of editing EditNodes and, as edits are made, updates `defaults` with the information required to re-create the component.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditNode()`
    `EditNode(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getCanDuplicate()` See `PaletteNode.canDuplicate`.
    `Canvas` | `getCanvasDefaults()` Properties required to recreate the current `liveObject`.
    `Canvas` | `getCanvasLiveObject()` Live version of the object created from the `defaults`.
    `DrawItem` | `getDrawItemDefaults()` Properties required to recreate the current `liveObject`.
    `DrawItem` | `getDrawItemLiveObject()` Live version of the object created from the `defaults`.
    `DrawPane` | `getDrawPaneDefaults()` Properties required to recreate the current `liveObject`.
    `DrawPane` | `getDrawPaneLiveObject()` Live version of the object created from the `defaults`.
    `EditProxy` | `getEditProxyProperties()` Properties to be applied to the `liveObject`.`editProxy` when created.
    `FormItem` | `getFormItemDefaults()` Properties required to recreate the current `liveObject`.
    `FormItem` | `getFormItemLiveObject()` Live version of the object created from the `defaults`.
    `java.lang.Object` | `getLiveObject()` Live version of the object created from the `defaults`.
    `static EditNode` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String` | `getType()` String of the `canvasLiveObject`, for example, "ListGrid".
    `java.lang.Boolean` | `getUseEditMask()` Shortcut property to be applied to the `liveObject`.`editProxy` when created.
    `void` | `setCanDuplicate(java.lang.Boolean canDuplicate)` See `PaletteNode.canDuplicate`.
    `void` | `setCanvasDefaults(Canvas defaults)` Properties required to recreate the current `liveObject`.
    `void` | `setCanvasLiveObject(Canvas liveObject)` Live version of the object created from the `defaults`.
    `void` | `setDrawItemDefaults(DrawItem defaults)` Properties required to recreate the current `liveObject`.
    `void` | `setDrawItemLiveObject(DrawItem liveObject)` Live version of the object created from the `defaults`.
    `void` | `setDrawPaneDefaults(DrawPane defaults)` Properties required to recreate the current `liveObject`.
    `void` | `setDrawPaneLiveObject(DrawPane liveObject)` Live version of the object created from the `defaults`.
    `void` | `setEditProxyProperties(EditProxy editProxyProperties)` Properties to be applied to the `liveObject`.`editProxy` when created.
    `void` | `setFormItemDefaults(FormItem defaults)` Properties required to recreate the current `liveObject`.
    `void` | `setFormItemLiveObject(FormItem liveObject)` Live version of the object created from the `defaults`.
    `void` | `setType(java.lang.String type)` String of the `canvasLiveObject`, for example, "ListGrid".
    `void` | `setUseEditMask(java.lang.Boolean useEditMask)` Shortcut property to be applied to the `liveObject`.`editProxy` when created.

    - ### Methods inherited from class com.smartgwt.client.tools.PaletteNode

      `getEditNodeProperties, getIcon, getIdPrefix, getTitle, setEditNodeProperties, setIcon, setIdPrefix, setTitle`

    - ### Methods inherited from class com.smartgwt.client.widgets.tree.TreeNode

      `getCanAcceptDrop, getCanDrag, getEnabled, getIconPadding, getName, getShowDropIcon, getShowOpenIcon, getShowSelectedIcon, setCanAcceptDrop, setCanDrag, setChildren, setEnabled, setIconPadding, setID, setIsFolder, setName, setParentID, setShowDropIcon, setShowOpenIcon, setShowSelectedIcon`

    - ### Methods inherited from class com.smartgwt.client.widgets.grid.ListGridRecord

      `get_baseStyle, get_canEdit, get_canRemove, getBackgroundComponent, getCanExpand, getCanSelect, getCustomStyle, getDetailDS, getEmbeddedComponent, getEmbeddedComponentFields, getEmbeddedComponentPosition, getIncludeInSummary, getIsGridSummary, getIsGroupSummary, getIsSeparator, getLinkText, getShowRollOver, getSingleCellValue, set_baseStyle, set_canEdit, set_canRemove, setBackgroundComponent, setCanExpand, setCanSelect, setCustomStyle, setDetailDS, setEmbeddedComponent, setEmbeddedComponentFields, setEmbeddedComponentPosition, setIncludeInSummary, setIsGridSummary, setIsGroupSummary, setIsSeparator, setLinkText, setShowRollOver, setSingleCellValue`

    - ### Methods inherited from class com.smartgwt.client.data.Record

      `convertToRecordArray, copyAttributes, copyAttributesInto, getAttributeAsRecordArray, getAttributeAsRecordList, getPaletteDefaults, isARecord, toMap`

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EditNode

          public EditNode()

    - #### EditNode

          public EditNode(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static EditNode getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setCanDuplicate

          public void setCanDuplicate(java.lang.Boolean canDuplicate)

      See `PaletteNode.canDuplicate`.
      Overrides:
        `setCanDuplicate` in class `PaletteNode`
      Parameters:
        `canDuplicate` - New canDuplicate value. Default value is null

    - #### getCanDuplicate

          public java.lang.Boolean getCanDuplicate()

      See `PaletteNode.canDuplicate`.
      Overrides:
        `getCanDuplicate` in class `PaletteNode`
      Returns:
        Current canDuplicate value. Default value is null

    - #### setCanvasDefaults

          public void setCanvasDefaults(Canvas defaults)

      Properties required to recreate the current `liveObject`.
      Overrides:
        `setCanvasDefaults` in class `PaletteNode`
      Parameters:
        `defaults` - New defaults value. Default value is null
      See Also:
        `SGWTProperties`

    - #### getCanvasDefaults

          public Canvas getCanvasDefaults()

      Properties required to recreate the current `liveObject`.
      Overrides:
        `getCanvasDefaults` in class `PaletteNode`
      Returns:
        Current defaults value. Default value is null

    - #### setCanvasLiveObject

          public void setCanvasLiveObject(Canvas liveObject)

      Live version of the object created from the `defaults`. For example, if `type` is "ListGrid", `liveObject` would be a ListGrid.
      Overrides:
        `setCanvasLiveObject` in class `PaletteNode`
      Parameters:
        `liveObject` - New liveObject value. Default value is null

    - #### getCanvasLiveObject

          public Canvas getCanvasLiveObject()

      Live version of the object created from the `defaults`. For example, if `type` is "ListGrid", `liveObject` would be a ListGrid.
      Overrides:
        `getCanvasLiveObject` in class `PaletteNode`
      Returns:
        Current liveObject value. Default value is null

    - #### setDrawItemDefaults

          public void setDrawItemDefaults(DrawItem defaults)

      Properties required to recreate the current `liveObject`.
      Overrides:
        `setDrawItemDefaults` in class `PaletteNode`
      Parameters:
        `defaults` - New defaults value. Default value is null
      See Also:
        `SGWTProperties`

    - #### getDrawItemDefaults

          public DrawItem getDrawItemDefaults()

      Properties required to recreate the current `liveObject`.
      Overrides:
        `getDrawItemDefaults` in class `PaletteNode`
      Returns:
        Current defaults value. Default value is null

    - #### setDrawItemLiveObject

          public void setDrawItemLiveObject(DrawItem liveObject)

      Live version of the object created from the `defaults`. For example, if `type` is "ListGrid", `liveObject` would be a ListGrid.
      Overrides:
        `setDrawItemLiveObject` in class `PaletteNode`
      Parameters:
        `liveObject` - New liveObject value. Default value is null

    - #### getDrawItemLiveObject

          public DrawItem getDrawItemLiveObject()

      Live version of the object created from the `defaults`. For example, if `type` is "ListGrid", `liveObject` would be a ListGrid.
      Overrides:
        `getDrawItemLiveObject` in class `PaletteNode`
      Returns:
        Current liveObject value. Default value is null

    - #### setDrawPaneDefaults

          public void setDrawPaneDefaults(DrawPane defaults)

      Properties required to recreate the current `liveObject`.
      Overrides:
        `setDrawPaneDefaults` in class `PaletteNode`
      Parameters:
        `defaults` - New defaults value. Default value is null
      See Also:
        `SGWTProperties`

    - #### getDrawPaneDefaults

          public DrawPane getDrawPaneDefaults()

      Properties required to recreate the current `liveObject`.
      Overrides:
        `getDrawPaneDefaults` in class `PaletteNode`
      Returns:
        Current defaults value. Default value is null

    - #### setDrawPaneLiveObject

          public void setDrawPaneLiveObject(DrawPane liveObject)

      Live version of the object created from the `defaults`. For example, if `type` is "ListGrid", `liveObject` would be a ListGrid.
      Overrides:
        `setDrawPaneLiveObject` in class `PaletteNode`
      Parameters:
        `liveObject` - New liveObject value. Default value is null

    - #### getDrawPaneLiveObject

          public DrawPane getDrawPaneLiveObject()

      Live version of the object created from the `defaults`. For example, if `type` is "ListGrid", `liveObject` would be a ListGrid.
      Overrides:
        `getDrawPaneLiveObject` in class `PaletteNode`
      Returns:
        Current liveObject value. Default value is null

    - #### setEditProxyProperties

          public void setEditProxyProperties(EditProxy editProxyProperties)

      Properties to be applied to the `liveObject`.`editProxy` when created.

      Note that the `editProxy` is created the first time a component is placed into editMode, so any `editProxyProperties` must be set before then.

      Overrides:
        `setEditProxyProperties` in class `PaletteNode`
      Parameters:
        `editProxyProperties` - New editProxyProperties value. Default value is null
      See Also:
        `SGWTProperties`

    - #### getEditProxyProperties

          public EditProxy getEditProxyProperties()

      Properties to be applied to the `liveObject`.`editProxy` when created.

      Note that the `editProxy` is created the first time a component is placed into editMode, so any `editProxyProperties` must be set before then.

      Overrides:
        `getEditProxyProperties` in class `PaletteNode`
      Returns:
        Current editProxyProperties value. Default value is null

    - #### setFormItemDefaults

          public void setFormItemDefaults(FormItem defaults)

      Properties required to recreate the current `liveObject`.
      Overrides:
        `setFormItemDefaults` in class `PaletteNode`
      Parameters:
        `defaults` - New defaults value. Default value is null

    - #### getFormItemDefaults

          public FormItem getFormItemDefaults()

      Properties required to recreate the current `liveObject`.
      Overrides:
        `getFormItemDefaults` in class `PaletteNode`
      Returns:
        Current defaults value. Default value is null

    - #### setFormItemLiveObject

          public void setFormItemLiveObject(FormItem liveObject)

      Live version of the object created from the `defaults`. For example, if `type` is "ListGrid", `liveObject` would be a ListGrid.
      Overrides:
        `setFormItemLiveObject` in class `PaletteNode`
      Parameters:
        `liveObject` - New liveObject value. Default value is null

    - #### getFormItemLiveObject

          public FormItem getFormItemLiveObject()

      Live version of the object created from the `defaults`. For example, if `type` is "ListGrid", `liveObject` would be a ListGrid.
      Overrides:
        `getFormItemLiveObject` in class `PaletteNode`
      Returns:
        Current liveObject value. Default value is null

    - #### setType

          public void setType(java.lang.String type)

      String of the `canvasLiveObject`, for example, "ListGrid".
      Overrides:
        `setType` in class `PaletteNode`
      Parameters:
        `type` - New type value. Default value is null
      See Also:
        `SCClassName`

    - #### getType

          public java.lang.String getType()

      String of the `canvasLiveObject`, for example, "ListGrid".
      Overrides:
        `getType` in class `PaletteNode`
      Returns:
        Current type value. Default value is null
      See Also:
        `SCClassName`

    - #### setUseEditMask

          public void setUseEditMask(java.lang.Boolean useEditMask)

      Shortcut property to be applied to the `liveObject`.`editProxy` when created.
      Parameters:
        `useEditMask` - New useEditMask value. Default value is null

    - #### getUseEditMask

          public java.lang.Boolean getUseEditMask()

      Shortcut property to be applied to the `liveObject`.`editProxy` when created.
      Returns:
        Current useEditMask value. Default value is null

    - #### getLiveObject

          public java.lang.Object getLiveObject()

      Live version of the object created from the `defaults`. For example, if `type` is "ListGrid", `liveObject` would be a ListGrid. Use the more specific live object getter API, such as `getCanvasLiveObject()` if you are sure of the type.
      Overrides:
        `getLiveObject` in class `PaletteNode`
      Returns:
        Object
      See Also:
        `getCanvasLiveObject()`, `getDrawItemLiveObject()`, `getDrawPaneLiveObject()`, `getFormItemLiveObject()`